package com.lordjoe.utilities;
import java.util.*;

/**
* enumarated type for comparisons used by VB
*/
public class COMComparison extends EnumeratedString
{
    
      protected static Map gComparisons = new HashMap();
      protected static Map gComparisonValues = new HashMap();
      
      /**
      * initialize values
      */
      static {
        new COMComparison("=");
        new COMComparison("<");
        new COMComparison(">");
        new COMComparison("<=");
        new COMComparison(">=");
        new COMComparison("<>");
        new COMComparison("<>");
      }
      
      public static COMComparison getComparison(String in) 
      {
          Object ret = gComparisons.get(in);
          if(ret == null) 
            throw new IllegalArgumentException("Comparison " + in + " not found - valid comparisons are:\n" +
                Util.buildListString(Util.getKeyStrings(gComparisons),0));
          return((COMComparison)ret);
      }
      
      private COMComparison(String in) {
         super(in,in);
      }
     
    /**
    * return a Map of possible values
    * @return non-null name
    */
    protected Map getOptionMap() {
        return(gComparisons);
    }
    /**
    * return a Map of possible values
    * @return non-null name
    */
    protected Map getValueMap() {
        return(gComparisonValues);
    }
      
}
