package com.lordjoe.utilities;


/**
* interface implemented by a nested exception to return the original stack 
* trace
*/
public interface IWrappedException extends IStackTraceable
{
   /**
   * return the stack trace - if there is a nested exception 
   * this is the nested stack trace
   * @return non-null trace
   */
   public Throwable getCause();
}
