package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object ODBCError
* It is OK to edit this code 
* @author S Lewis
*/
public class ODBCError extends _ODBCError
{
    /**
    * default constructor
    */
    public ODBCError()
    {
    }
    /**
    * populating constructor
    */
    public ODBCError(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public ODBCError(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

}
