package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object PivotTable
* It is OK to edit this code 
* @author S Lewis
*/
public class PivotTable extends _PivotTable
{
    /**
    * default constructor
    */
    public PivotTable()
    {
    }
    /**
    * populating constructor
    */
    public PivotTable(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public PivotTable(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowFieldsObject
    * @param ColumnFieldsObject
    * @param PageFieldsObject
    * @param AddToTableObject
    * @param RowFieldsObject
    * @param ColumnFieldsObject
    * @param PageFieldsObject
    * @param AddToTableObject
    * @return Object
    */
    public Object AddFields(Object RowFields,Object ColumnFields,Object PageFields,Object AddToTable)
    {
        return(ambig_AddFields(RowFields,ColumnFields,PageFields,AddToTable));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object AddFields(Map TheParams)
    {
        return(ambig_AddFields(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowFieldsObject
    * @param ColumnFieldsObject
    * @param PageFieldsObject
    * @param RowFieldsObject
    * @param ColumnFieldsObject
    * @param PageFieldsObject
    * @return Object
    */
    public Object AddFields(Object RowFields,Object ColumnFields,Object PageFields)
    {
        return(ambig_AddFields(RowFields,ColumnFields,PageFields));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowFieldsObject
    * @param ColumnFieldsObject
    * @param RowFieldsObject
    * @param ColumnFieldsObject
    * @return Object
    */
    public Object AddFields(Object RowFields,Object ColumnFields)
    {
        return(ambig_AddFields(RowFields,ColumnFields));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowFieldsObject
    * @param RowFieldsObject
    * @return Object
    */
    public Object AddFields(Object RowFields)
    {
        return(ambig_AddFields(RowFields));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object AddFields()
    {
        return(ambig_AddFields());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch getColumnFields(Object Index)
    {
        return(ambig_getColumnFields(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getColumnFields()
    {
        return(ambig_getColumnFields());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param PageFieldObject
    * @param PageFieldObject
    * @return Object
    */
    public Object ShowPages(Object PageField)
    {
        return(ambig_ShowPages(PageField));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object ShowPages()
    {
        return(ambig_ShowPages());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch getDataFields(Object Index)
    {
        return(ambig_getDataFields(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getDataFields()
    {
        return(ambig_getDataFields());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch getHiddenFields(Object Index)
    {
        return(ambig_getHiddenFields(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getHiddenFields()
    {
        return(ambig_getHiddenFields());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch getPageFields(Object Index)
    {
        return(ambig_getPageFields(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getPageFields()
    {
        return(ambig_getPageFields());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch PivotFields(Object Index)
    {
        return(ambig_PivotFields(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch PivotFields()
    {
        return(ambig_PivotFields());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch getRowFields(Object Index)
    {
        return(ambig_getRowFields(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getRowFields()
    {
        return(ambig_getRowFields());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getSourceData()
    {
        return(ambig_getSourceData());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch getVisibleFields(Object Index)
    {
        return(ambig_getVisibleFields(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getVisibleFields()
    {
        return(ambig_getVisibleFields());
    }

}
