package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object _Workbook
* It is OK to edit this code 
* @author S Lewis
*/
public class Workbook extends _Workbook
{
    /**
    * default constructor
    */
    public Workbook()
    {
    }
    /**
    * populating constructor
    */
    public Workbook(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public Workbook(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getActiveSheet()
    {
        return(ambig_getActiveSheet());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getBuiltinDocumentProperties()
    {
        return(ambig_getBuiltinDocumentProperties());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Object
    */
    public Object getColors(Object Index)
    {
        return(ambig_getColors(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getColors()
    {
        return(ambig_getColors());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getContainer()
    {
        return(ambig_getContainer());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getCustomDocumentProperties()
    {
        return(ambig_getCustomDocumentProperties());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param NameString
    * @param LinkInfoXlLinkInfoEnum
    * @param TypeObject
    * @param EditionRefObject
    * @param NameString
    * @param LinkInfoXlLinkInfoEnum
    * @param TypeObject
    * @param EditionRefObject
    * @return Object
    */
    public Object LinkInfo(String Name,XlLinkInfoEnum LinkInfo,Object Type,Object EditionRef)
    {
        return(ambig_LinkInfo(Name,LinkInfo,Type,EditionRef));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param NameString
    * @param LinkInfoXlLinkInfoEnum
    * @param TypeObject
    * @param NameString
    * @param LinkInfoXlLinkInfoEnum
    * @param TypeObject
    * @return Object
    */
    public Object LinkInfo(String Name,XlLinkInfoEnum LinkInfo,Object Type)
    {
        return(ambig_LinkInfo(Name,LinkInfo,Type));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param NameString
    * @param LinkInfoXlLinkInfoEnum
    * @param NameString
    * @param LinkInfoXlLinkInfoEnum
    * @return Object
    */
    public Object LinkInfo(String Name,XlLinkInfoEnum LinkInfo)
    {
        return(ambig_LinkInfo(Name,LinkInfo));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TypeObject
    * @param TypeObject
    * @return Object
    */
    public Object LinkSources(Object Type)
    {
        return(ambig_LinkSources(Type));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object LinkSources()
    {
        return(ambig_LinkSources());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getUserStatus()
    {
        return(ambig_getUserStatus());
    }

}
