package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object Worksheets
* It is OK to edit this code 
* @author S Lewis
*/
public class Worksheets extends _Worksheets
{
    /**
    * default constructor
    */
    public Worksheets()
    {
    }
    /**
    * populating constructor
    */
    public Worksheets(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public Worksheets(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param BeforeObject
    * @param AfterObject
    * @param CountObject
    * @param TypeObject
    * @param BeforeObject
    * @param AfterObject
    * @param CountObject
    * @param TypeObject
    * @return Dispatch
    */
    public Dispatch Add(Object Before,Object After,Object Count,Object Type)
    {
        return(ambig_Add(Before,After,Count,Type));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Dispatch
    */
    public Dispatch Add(Map TheParams)
    {
        return(ambig_Add(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param BeforeObject
    * @param AfterObject
    * @param CountObject
    * @param BeforeObject
    * @param AfterObject
    * @param CountObject
    * @return Dispatch
    */
    public Dispatch Add(Object Before,Object After,Object Count)
    {
        return(ambig_Add(Before,After,Count));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param BeforeObject
    * @param AfterObject
    * @param BeforeObject
    * @param AfterObject
    * @return Dispatch
    */
    public Dispatch Add(Object Before,Object After)
    {
        return(ambig_Add(Before,After));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param BeforeObject
    * @param BeforeObject
    * @return Dispatch
    */
    public Dispatch Add(Object Before)
    {
        return(ambig_Add(Before));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch Add()
    {
        return(ambig_Add());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch getItem(Object Index)
    {
        return(ambig_getItem(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return IUnknown
    */
    public IUnknown get_NewEnum()
    {
        return(ambig_get_NewEnum());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getVisible()
    {
        return(ambig_getVisible());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Dispatch
    */
    public Dispatch get_Default(Object Index)
    {
        return(ambig_get_Default(Index));
    }

}
