package com.microsoft.word;
import com.microsoft.word.gen.*;
import com.microsoft.word.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object _Application
* It is OK to edit this code 
* @author S Lewis
*/
public class Application extends _Application
{
    /**
    * default constructor
    */
    public Application()
    {
    }
    /**
    * populating constructor
    */
    public Application(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public Application(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getWordBasic()
    {
        return(ambig_getWordBasic());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexWdInternationalIndexEnum
    * @param IndexWdInternationalIndexEnum
    * @return Object
    */
    public Object getInternational(WdInternationalIndexEnum Index)
    {
        return(ambig_getInternational(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getMacroContainer()
    {
        return(ambig_getMacroContainer());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getCustomizationContext()
    {
        return(ambig_getCustomizationContext());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param varg23Object[]
    * @param varg24Object[]
    * @param varg25Object[]
    * @param varg26Object[]
    * @param varg27Object[]
    * @param varg28Object[]
    * @param varg29Object[]
    * @param varg30Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param varg23Object[]
    * @param varg24Object[]
    * @param varg25Object[]
    * @param varg26Object[]
    * @param varg27Object[]
    * @param varg28Object[]
    * @param varg29Object[]
    * @param varg30Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14,Object[] varg15,Object[] varg16,Object[] varg17,Object[] varg18,Object[] varg19,Object[] varg20,Object[] varg21,Object[] varg22,Object[] varg23,Object[] varg24,Object[] varg25,Object[] varg26,Object[] varg27,Object[] varg28,Object[] varg29,Object[] varg30)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14,varg15,varg16,varg17,varg18,varg19,varg20,varg21,varg22,varg23,varg24,varg25,varg26,varg27,varg28,varg29,varg30));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object Run(Map TheParams)
    {
        return(ambig_Run(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param varg23Object[]
    * @param varg24Object[]
    * @param varg25Object[]
    * @param varg26Object[]
    * @param varg27Object[]
    * @param varg28Object[]
    * @param varg29Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param varg23Object[]
    * @param varg24Object[]
    * @param varg25Object[]
    * @param varg26Object[]
    * @param varg27Object[]
    * @param varg28Object[]
    * @param varg29Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14,Object[] varg15,Object[] varg16,Object[] varg17,Object[] varg18,Object[] varg19,Object[] varg20,Object[] varg21,Object[] varg22,Object[] varg23,Object[] varg24,Object[] varg25,Object[] varg26,Object[] varg27,Object[] varg28,Object[] varg29)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14,varg15,varg16,varg17,varg18,varg19,varg20,varg21,varg22,varg23,varg24,varg25,varg26,varg27,varg28,varg29));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param varg23Object[]
    * @param varg24Object[]
    * @param varg25Object[]
    * @param varg26Object[]
    * @param varg27Object[]
    * @param varg28Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param varg23Object[]
    * @param varg24Object[]
    * @param varg25Object[]
    * @param varg26Object[]
    * @param varg27Object[]
    * @param varg28Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14,Object[] varg15,Object[] varg16,Object[] varg17,Object[] varg18,Object[] varg19,Object[] varg20,Object[] varg21,Object[] varg22,Object[] varg23,Object[] varg24,Object[] varg25,Object[] varg26,Object[] varg27,Object[] varg28)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14,varg15,varg16,varg17,varg18,varg19,varg20,varg21,varg22,varg23,varg24,varg25,varg26,varg27,varg28));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param varg23Object[]
    * @param varg24Object[]
    * @param varg25Object[]
    * @param varg26Object[]
    * @param varg27Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param varg23Object[]
    * @param varg24Object[]
    * @param varg25Object[]
    * @param varg26Object[]
    * @param varg27Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14,Object[] varg15,Object[] varg16,Object[] varg17,Object[] varg18,Object[] varg19,Object[] varg20,Object[] varg21,Object[] varg22,Object[] varg23,Object[] varg24,Object[] varg25,Object[] varg26,Object[] varg27)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14,varg15,varg16,varg17,varg18,varg19,varg20,varg21,varg22,varg23,varg24,varg25,varg26,varg27));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param varg23Object[]
    * @param varg24Object[]
    * @param varg25Object[]
    * @param varg26Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param varg23Object[]
    * @param varg24Object[]
    * @param varg25Object[]
    * @param varg26Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14,Object[] varg15,Object[] varg16,Object[] varg17,Object[] varg18,Object[] varg19,Object[] varg20,Object[] varg21,Object[] varg22,Object[] varg23,Object[] varg24,Object[] varg25,Object[] varg26)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14,varg15,varg16,varg17,varg18,varg19,varg20,varg21,varg22,varg23,varg24,varg25,varg26));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param varg23Object[]
    * @param varg24Object[]
    * @param varg25Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param varg23Object[]
    * @param varg24Object[]
    * @param varg25Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14,Object[] varg15,Object[] varg16,Object[] varg17,Object[] varg18,Object[] varg19,Object[] varg20,Object[] varg21,Object[] varg22,Object[] varg23,Object[] varg24,Object[] varg25)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14,varg15,varg16,varg17,varg18,varg19,varg20,varg21,varg22,varg23,varg24,varg25));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param varg23Object[]
    * @param varg24Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param varg23Object[]
    * @param varg24Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14,Object[] varg15,Object[] varg16,Object[] varg17,Object[] varg18,Object[] varg19,Object[] varg20,Object[] varg21,Object[] varg22,Object[] varg23,Object[] varg24)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14,varg15,varg16,varg17,varg18,varg19,varg20,varg21,varg22,varg23,varg24));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param varg23Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param varg23Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14,Object[] varg15,Object[] varg16,Object[] varg17,Object[] varg18,Object[] varg19,Object[] varg20,Object[] varg21,Object[] varg22,Object[] varg23)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14,varg15,varg16,varg17,varg18,varg19,varg20,varg21,varg22,varg23));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param varg22Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14,Object[] varg15,Object[] varg16,Object[] varg17,Object[] varg18,Object[] varg19,Object[] varg20,Object[] varg21,Object[] varg22)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14,varg15,varg16,varg17,varg18,varg19,varg20,varg21,varg22));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param varg21Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14,Object[] varg15,Object[] varg16,Object[] varg17,Object[] varg18,Object[] varg19,Object[] varg20,Object[] varg21)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14,varg15,varg16,varg17,varg18,varg19,varg20,varg21));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param varg20Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14,Object[] varg15,Object[] varg16,Object[] varg17,Object[] varg18,Object[] varg19,Object[] varg20)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14,varg15,varg16,varg17,varg18,varg19,varg20));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param varg19Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14,Object[] varg15,Object[] varg16,Object[] varg17,Object[] varg18,Object[] varg19)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14,varg15,varg16,varg17,varg18,varg19));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param varg18Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14,Object[] varg15,Object[] varg16,Object[] varg17,Object[] varg18)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14,varg15,varg16,varg17,varg18));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param varg17Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14,Object[] varg15,Object[] varg16,Object[] varg17)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14,varg15,varg16,varg17));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param varg16Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14,Object[] varg15,Object[] varg16)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14,varg15,varg16));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param varg15Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14,Object[] varg15)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14,varg15));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param varg14Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13,Object[] varg14)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13,varg14));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param varg13Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12,Object[] varg13)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12,varg13));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param varg12Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11,Object[] varg12)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11,varg12));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param varg11Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10,Object[] varg11)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10,varg11));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param varg10Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9,Object[] varg10)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9,varg10));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param varg9Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8,Object[] varg9)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8,varg9));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param varg8Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7,Object[] varg8)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7,varg8));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param varg7Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6,Object[] varg7)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6,varg7));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param varg6Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5,Object[] varg6)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5,varg6));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param varg5Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4,Object[] varg5)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4,varg5));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param varg4Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3,Object[] varg4)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3,varg4));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param varg3Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2,Object[] varg3)
    {
        return(ambig_Run(MacroName,varg1,varg2,varg3));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @param varg2Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1,Object[] varg2)
    {
        return(ambig_Run(MacroName,varg1,varg2));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param varg1Object[]
    * @param MacroNameString
    * @param varg1Object[]
    * @return Object
    */
    public Object Run(String MacroName,Object[] varg1)
    {
        return(ambig_Run(MacroName,varg1));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param MacroNameString
    * @param MacroNameString
    * @return Object
    */
    public Object Run(String MacroName)
    {
        return(ambig_Run(MacroName));
    }

}
