package com.microsoft.word;
import com.microsoft.word.gen.*;
import com.microsoft.word.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object Range
* It is OK to edit this code 
* @author S Lewis
*/
public class Range extends _Range
{
    /**
    * default constructor
    */
    public Range()
    {
    }
    /**
    * populating constructor
    */
    public Range(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public Range(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getStyle()
    {
        return(ambig_getStyle());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param TypeWdInformationEnum
    * @param TypeWdInformationEnum
    * @return Object
    */
    public Object getInformation(WdInformationEnum Type)
    {
        return(ambig_getInformation(Type));
    }

}
