package jp.ne.so_net.ga2.no_ji.jcom;
import java.lang.reflect.*;

/**
 * IUnknownC^[tF[X߂̃NX
 *
 * @see     IDispatch
 * @see     JComException
 * @see     ReleaseManager
	@author Yoshinori Watanabe(n `)
	@version 2.00, 2000/06/25
	Copyright(C) Yoshinori Watanabe 1999-2000. All Rights Reserved.
 */
public class IUnknown {
    /**
		IID_IUnknown łB
		@see       GUID
	*/
	public static GUID IID = new GUID( 0x00000000, 0x0000, 0x0000, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x46 );

	/**
		IUnknownC^[tF[X̃|C^ێ܂B
		ύXȂłB
	*/
	protected int pIUnknown = 0;		// IUnknownC^[tF[XIuWFNg̃|C^
	/**
		QƃJE^ǗNX
	*/
	protected ReleaseManager rm = null;

    /**
     * IUnknown쐬܂B
	 * COM͊蓖ĂĂȂ̂Œ
     * @param     rm             QƃJE^ǗNX
     * @see       ReleaseManager
	 */
	public IUnknown(ReleaseManager rm) {
		this.rm = rm;
		this.pIUnknown = 0;
	}

    /**
     * IUnknown쐬܂B
     * Ŏw肳ꂽIUnknown|C^COM쐬܂B
     * ʏAʂCOM̃\bhԂꂽIUnknown|C^ɑ΂āA
     * gp܂B
     * @param     rm             QƃJE^ǗNX
     * @param     IUnknown       IUnknownC^[tF[X̃AhX
     * @see       ReleaseManager
	 */
	public IUnknown(ReleaseManager rm, int pIUnknown) {
		this.rm = rm;
		this.pIUnknown = pIUnknown;
	}

    /**
     * QueryInterfacesAw肵C^[tF[X擾܂B
     * IID  JavãNXw肵ĉB
     *  <pre>
     *  IUnknown iUnknown = (IUnknown)worksheets.get("_NewEnum");
     *  IEnumVARIANT a = (IEnumVARIANT)iUnknown.queryInterface(
     *                      "jp.ne.so_net.ga2.no_ji.jcom.IEnumVARIANT",
     *                      GUID.IID_IEnumVARIANT);
     *  </pre>
     * @param     classname      ĩNX
     * @param     IID            C^[tF[Xhc
     * @result    w肵C^[tF[XԂ܂B
     *            snullԂ܂B
     * @see       GUID
	 */
	public synchronized IUnknown queryInterface(String classname, GUID IID) throws JComException {
		try {
			// NX̃RXgN^ĂԁB(ReleaseManager rm, int pIUnknown);
			Class cls = Class.forName(classname);
			Class[] param = new Class[2];
			param[0] = Class.forName("jp.ne.so_net.ga2.no_ji.jcom.ReleaseManager");
			param[1] = Integer.TYPE;
			Constructor constructor = cls.getConstructor(param);
			Object[] p = new Object[2];
			p[0] = rm;
			p[1] = new Integer(_queryInterface(IID));
			IUnknown com = (IUnknown)constructor.newInstance(p);
			// ReleaseManagerɓo^
			rm.add(com);
			return com;
		}
		// JComException͏ɓB
		catch(JComException e) { throw e; }
//		catch(ClassNotFoundException e) { throw e; }
		catch(Exception e) { e.printStackTrace(); }
		return null;	
/*
		int pp = _queryInterface(IID);
		IEnumVARIANT enum = new IEnumVARIANT(rm, pp);
		rm.add(enum);
		return enum;
*/
	}

    /**
     * COMIuWFNg܂B
     * ReleaseManagerg΁AIɌĂԕKv͂܂B
     * łɉĂꍇAfalseԂ܂B
     * @result    Ȉꍇ<code> true </code>Ԃ܂B
     *            łɉĂꍇ́A<code> false </code>Ԃ܂B
	 */
	public synchronized boolean release() {
		return _release();
	}

    /**
     * QƃJE^PÃ݂JE^lԂ܂B
     * ʏĂԕKv͂܂B
     * QƃJE^ꍇł̂ݎgp܂B
     * ̏ꍇrelease()ĂŁAJE^ĉB
     * @result    QƃJE^̒lBオlԂ܂B
     * @see       #release()
	 */
	public synchronized int addRef() {
		return _addRef();
	}
	
	/**
		ŕێĂIUnknownNXA܂͂ꂩpNX
		IuWFNgȉ̌`ŕ\܂B
		<pre>476eb8(1)jp.ne.so_net.ga2.no_ji.jcom.IDispatch</pre>
		PUi̓C^[tF[X̃|C^A
		ʂ̒̐l͎QƃJE^̐A̎̓NXłB
	*/
	public String toString() {
		String result = Integer.toHexString(pIUnknown) + "(" + (addRef()-1) + ")" + getClass().getName();
		release();		// LaddRef()ŃJEgAbvQƃJE^P炷B
		return result;
	}

	/**
		ReleaseManagerԂ܂B
		ȉ̌`ŁA݂̎QƃJE^ǗNX邱Ƃł܂B
		<pre>System.out.println(excel.getReleaseManager().toString());</pre>
     * @see       #release()
	 */
	public ReleaseManager getReleaseManager() {	return rm; }

//	public static String getProgIDFromCLSID(GUID clsid) {
//		return _getProgIDFromCLSID(clsid);
//	}
	// imh
	private native int _addRef();
	private native boolean _release();
	private native int _queryInterface(GUID IID) throws JComException;
//	private native static String _getProgIDFromCLSID(GUID clsid);
}

