/*
	cl TypeInfoDesc.cpp ITypeLib.cpp ITypeInfo.cpp VARIANT.cpp
*/
#include "atlbase.h"
#include "atlconv.h"
#include "atlconv.cpp"	// KvH
#include <stdio.h>

void print_bstring(OLECHAR* psz);
void print_GUID(GUID* guid);
void print_VARTYPE(VARTYPE vt);
void print2_VARTYPE(VARTYPE vt);
void print2_Documentaion(ITypeInfo* pITypeInfo, MEMBERID memid);
void	print2_ITypeInfo(ITypeInfo* pITypeInfo);
void	print_ITypeInfo(ITypeInfo* pITypeInfo);
void print_VARIANT(VARIANT* v);



//------------------------------------------------------------------------------
int main(int argc, char* argv[]) 
{
	USES_CONVERSION;

	if(argc<2) {
		printf("w肳ꂽProgIDITypeInfo񋓂܂\n\n");
		printf("g: TypeInfoDesc [options] <ProgID>\n");
		printf("options\n");
		printf("  -D    detail\n");
		printf(": TypeInfoDesc \"Excel.Application\"\n");
		exit(1);
	}
	char* progid = argv[1];
	int detail = FALSE;
	if(argv[1][0]=='-') {		// GȎ
		progid = argv[2];
		detail = TRUE;
	}
//	printf("CoInitialize(NULL);\n");
	HRESULT hr = CoInitialize(NULL);
	if(FAILED(hr)) return hr;

	CLSID clsid;
//	printf("CLSIDFromProgID(%s),&clsid);\n", progid);
	if (FAILED(CLSIDFromProgID(A2OLE(progid), &clsid))) {
		printf("Y ProgID ܂\n");
		return 1;
	}
	printf("CLSID=");	print_GUID(&clsid); printf("\n");

	// CLSIDProgIDtĂ݂B
	BSTR bstrProgID;
	hr = ProgIDFromCLSID(clsid, &bstrProgID);
	printf("ProgID=");	print_bstring(bstrProgID);	printf("\n\n");

	// IDispatchC^[tF[X擾
//	printf("CoCreateInstance(%xh,0,CLSCTX_SERVER,IID_IDispatch,&pIDispatch);\n", clsid);
	IDispatch* pIDispatch = NULL;
	hr = CoCreateInstance(clsid,0, CLSCTX_SERVER, IID_IDispatch,
							(void**)&pIDispatch);
	if (SUCCEEDED(hr)) {
		// ITypeInfoC^[tF[X擾
		unsigned int cTypeInfo = 0;
		hr = pIDispatch->GetTypeInfoCount(&cTypeInfo);
		if(SUCCEEDED(hr)){
//			printf("TypeInfoCount=%d\n", cTypeInfo);
			for(int i=0; i<cTypeInfo; i++) {
				ITypeInfo* pITypeInfo = 0;
				hr = pIDispatch -> GetTypeInfo(i,0,&pITypeInfo);
				if (SUCCEEDED(hr)) {
					if(detail)
						print_ITypeInfo(pITypeInfo);
					else
						print2_ITypeInfo(pITypeInfo);
					pITypeInfo->Release();
				}
			}
		}
	}
	pIDispatch->Release();
	return 0;
}
