/*
	>cl TypeLibDesc.cpp VARIANT.cpp ITypeInfo.cpp ITypeLib.cpp
*/
#include "atlbase.h"
#include "atlconv.h"
#include "atlconv.cpp"	// KvH
#include <stdio.h>
#include "ComDesc.h"


//------------------------------------------------------------------------------
int main(int argc, char* argv[]) 
{
	USES_CONVERSION;

	if(argc<2) {
		printf("w肳ꂽProgID܂ITypeLib̒ITypeInfo񋓂܂\n\n");
		printf("g: TypeLibDesc [options] <ProgID>\n");
		printf("options\n");
		printf("  -D    detail\n");
		printf(": TypeLibDesc \"Excel.Application\"\n");
		exit(1);
	}
	char* progid = argv[1];
	int detail = FALSE;
	if(argv[1][0]=='-') {		// GȎ
		progid = argv[2];
		detail = TRUE;
	}
//	printf("CoInitialize(NULL);\n");
	HRESULT hr = CoInitialize(NULL);
	if(FAILED(hr)) return hr;

	CLSID clsid;
//	printf("CLSIDFromProgID(%s),&clsid);\n", progid);
	if (FAILED(CLSIDFromProgID(A2OLE(progid), &clsid))) {
		printf("Y ProgID ܂\n");
		return 1;
	}
	printf("clsid=");	print_GUID(&clsid); printf("\n");
	// IDispatchC^[tF[X擾
//	printf("CoCreateInstance(%xh,0,CLSCTX_SERVER,IID_IDispatch,&pIDispatch);\n", clsid);
	IDispatch* pIDispatch = NULL;
	hr = CoCreateInstance(clsid,0, CLSCTX_SERVER, IID_IDispatch,
							(void**)&pIDispatch);
	if (SUCCEEDED(hr)) {
		// ITypeInfoC^[tF[X擾
		unsigned int cTypeInfo = 0;
		hr = pIDispatch->GetTypeInfoCount(&cTypeInfo);
		if(SUCCEEDED(hr)){
//			printf("TypeInfoCount=%d\n", cTypeInfo);
			for(int i=0; i<cTypeInfo; i++) {
				ITypeInfo* pITypeInfo = 0;
				hr = pIDispatch -> GetTypeInfo(i,0,&pITypeInfo);
				if (SUCCEEDED(hr)) {
					// ITypeLibC^[tF[X擾
					ITypeLib* pITypeLib = NULL;
					unsigned int index = 0;
					HRESULT hr = pITypeInfo ->GetContainingTypeLib(&pITypeLib, &index);
					printf("TypeLib index=%d\n", index);
					if (SUCCEEDED(hr)) {
						if(detail)
							print_ITypeLib(pITypeLib);
						else
							print2_ITypeLib(pITypeLib);
						pITypeLib->Release();
					}

					pITypeInfo->Release();
				}
			}
		}
	}
	pIDispatch->Release();
	return 0;
}
