import jp.ne.so_net.ga2.no_ji.jcom.*;

public class testTypeLib {
	
	/**
		w肵ProgID̃^CvCu
	*/
	public static void main(String[] args) throws Exception {
		if(args.length!=1) {
			System.out.println("usage: testTypeLib <ProgID>");
			System.out.println("  testTypeLib Excel.Application");
			return;
		}
		String progID = args[0];
		ReleaseManager rm = new ReleaseManager();
		try {
			IDispatch disp = new IDispatch(rm, progID);
			ITypeInfo typeinfo = disp.getTypeInfo();
			ITypeLib typelib = typeinfo.getTypeLib();
			// hLg\
			String[] docs = typelib.getDocumentation(-1);
			System.out.println("docs[0]="+docs[0]);
			System.out.println("docs[1]="+docs[1]);
			System.out.println("docs[2]="+docs[2]);
			System.out.println("docs[3]="+docs[3]);
			// TLIBATTR\
			ITypeLib.TLibAttr attr = typelib.getTLibAttr();
			System.out.println("TLIBATTR="+attr);
			// ITypeInfo̐
			int infocount = typelib.getTypeInfoCount();
			System.out.println("ITypeInfo̐="+infocount);
			if(false) {
				for(int i=0; i<infocount; i++) {
					ITypeInfo info = typelib.getTypeInfo(i);
					docs = info.getDocumentation(-1);
					System.out.println(docs[0]);
				}
			}
		}
		catch(Exception e) { e.printStackTrace(); }
		finally { rm.release(); }
	}
}
