import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import jp.ne.so_net.ga2.no_ji.jcom.*;

public class TypeLibViewer extends JSplitPane 
{
	ITypeLib	typelib;

	public TypeLibViewer(ITypeLib typelib) {
		super();
		this.typelib = typelib;
		setOrientation(HORIZONTAL_SPLIT);
		setDividerSize(5);
		// hLgAc[r[Ar[쐬
//		ListModel typeInfoModel = new AbstractListModel() {
//			public int getSize() { return this.typelib.getTypeInfoCount(); }
//			public Object getElementAt(int index) { return this.typeLib.getTypeInfo(index); }
//		};
		JList typeInfoList = new JList(new TypeLibListModel(typelib));

		setLeftComponent(typeInfoList);
/*		// r[쐬AC蓖Ă
//		view = new FigureEditor((FigureLayer)layer);
		LayerFactory factory = LayerFactory.getLayerFactory();
		factory.addPath(".");
		factory.addPath("figure");
		factory.addPath("hadron");
		view = factory.getLayerEditor("FigureEditor");
		view.setLayer(layer);
		setRightComponent(view.getPanel());
*/
		setDividerLocation(240);	// Xvb^[̈ʒu
	}

	public class TypeLibListModel extends AbstractListModel {
		ITypeLib typelib;
		TypeLibListModel(ITypeLib typelib) {
			this.typelib = typelib;
		}
		public int getSize() {
			try {
				return typelib.getTypeInfoCount();
			} catch(JComException e) {
				e.printStackTrace();
				return 0;
			}
		}
		public Object getElementAt(int index) {
			try {
				return typelib.getTypeInfo(index).getDocument(-1)[0];
			}
			catch(JComException e) {
				e.printStackTrace();
				return null;
			}
		}
	}
	public static void main(String[] args) {
		ReleaseManager rm = new ReleaseManager();
		try {
			IDispatch xlApp = new IDispatch(rm, "Excel.Application");  // EXCEL{
			ITypeInfo typeInfo = xlApp.getTypeInfo();
			ITypeLib typeLib = typeInfo.getTypeLib();
			JFrame frame = new JFrame("TypeLibViewer");
			TypeLibViewer viewer = new TypeLibViewer(typeLib);
			frame.getContentPane().add(viewer);
			// EBhEIƂɃAvP[VIBʓ|
			frame.addWindowListener(new WindowAdapter() {
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800,600);
			frame.setVisible(true);
		}
		catch(Exception e) { e.printStackTrace(); }
		finally { rm.release(); }
	}
}
