package com.lordjoe.utilities;


/**
* interface implemented by a nested exception to return the original stack 
* trace
*  Updated to make it compile on Java 1.5
*  Miika Nurminen
*  
*    @date> Fri 5. May 2006
*    @version> 1.1
*/
public interface IStackTraceable
{
   /**
   * return the stack trace - if there is a nested exception 
   * this is the nested stack trace
   * @return non-null trace
   */
   public StackTraceElement[] /*String*/ getStackTrace();
}
