package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object AutoCorrect
* It is OK to edit this code 
* @author S Lewis
*/
public class AutoCorrect extends _AutoCorrect
{
    /**
    * default constructor
    */
    public AutoCorrect()
    {
    }
    /**
    * populating constructor
    */
    public AutoCorrect(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public AutoCorrect(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param WhatString
    * @param ReplacementString
    * @param WhatString
    * @param ReplacementString
    * @return Object
    */
    public Object AddReplacement(String What,String Replacement)
    {
        return(ambig_AddReplacement(What,Replacement));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param WhatString
    * @param WhatString
    * @return Object
    */
    public Object DeleteReplacement(String What)
    {
        return(ambig_DeleteReplacement(What));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject
    * @param IndexObject
    * @return Object
    */
    public Object getReplacementList(Object Index)
    {
        return(ambig_getReplacementList(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getReplacementList()
    {
        return(ambig_getReplacementList());
    }

}
