package com.microsoft.excel;
import com.microsoft.excel.gen.*;
import com.microsoft.excel.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object SeriesCollection
* It is OK to edit this code 
* @author S Lewis
*/
public class SeriesCollection extends _SeriesCollection
{
    /**
    * default constructor
    */
    public SeriesCollection()
    {
    }
    /**
    * populating constructor
    */
    public SeriesCollection(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public SeriesCollection(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SourceObject
    * @param RowcolObject
    * @param CategoryLabelsObject
    * @param SourceObject
    * @param RowcolObject
    * @param CategoryLabelsObject
    * @return Object
    */
    public Object Extend(Object Source,Object Rowcol,Object CategoryLabels)
    {
        return(ambig_Extend(Source,Rowcol,CategoryLabels));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SourceObject
    * @param RowcolObject
    * @param SourceObject
    * @param RowcolObject
    * @return Object
    */
    public Object Extend(Object Source,Object Rowcol)
    {
        return(ambig_Extend(Source,Rowcol));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param SourceObject
    * @param SourceObject
    * @return Object
    */
    public Object Extend(Object Source)
    {
        return(ambig_Extend(Source));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return IUnknown
    */
    public IUnknown _NewEnum()
    {
        return(ambig__NewEnum());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowcolXlRowColEnum
    * @param SeriesLabelsObject
    * @param CategoryLabelsObject
    * @param ReplaceObject
    * @param NewSeriesObject
    * @param RowcolXlRowColEnum
    * @param SeriesLabelsObject
    * @param CategoryLabelsObject
    * @param ReplaceObject
    * @param NewSeriesObject
    * @return Object
    */
    public Object Paste(XlRowColEnum Rowcol,Object SeriesLabels,Object CategoryLabels,Object Replace,Object NewSeries)
    {
        return(ambig_Paste(Rowcol,SeriesLabels,CategoryLabels,Replace,NewSeries));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * This call supports calling with named arguments as does VB
    * @param TheParams non-null Map where key is 
    *    param name and value is param value
    * @return Object
    */
    public Object Paste(Map TheParams)
    {
        return(ambig_Paste(TheParams));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowcolXlRowColEnum
    * @param SeriesLabelsObject
    * @param CategoryLabelsObject
    * @param ReplaceObject
    * @param RowcolXlRowColEnum
    * @param SeriesLabelsObject
    * @param CategoryLabelsObject
    * @param ReplaceObject
    * @return Object
    */
    public Object Paste(XlRowColEnum Rowcol,Object SeriesLabels,Object CategoryLabels,Object Replace)
    {
        return(ambig_Paste(Rowcol,SeriesLabels,CategoryLabels,Replace));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowcolXlRowColEnum
    * @param SeriesLabelsObject
    * @param CategoryLabelsObject
    * @param RowcolXlRowColEnum
    * @param SeriesLabelsObject
    * @param CategoryLabelsObject
    * @return Object
    */
    public Object Paste(XlRowColEnum Rowcol,Object SeriesLabels,Object CategoryLabels)
    {
        return(ambig_Paste(Rowcol,SeriesLabels,CategoryLabels));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowcolXlRowColEnum
    * @param SeriesLabelsObject
    * @param RowcolXlRowColEnum
    * @param SeriesLabelsObject
    * @return Object
    */
    public Object Paste(XlRowColEnum Rowcol,Object SeriesLabels)
    {
        return(ambig_Paste(Rowcol,SeriesLabels));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param RowcolXlRowColEnum
    * @param RowcolXlRowColEnum
    * @return Object
    */
    public Object Paste(XlRowColEnum Rowcol)
    {
        return(ambig_Paste(Rowcol));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object Paste()
    {
        return(ambig_Paste());
    }

}
