package com.microsoft.visio;
import com.microsoft.visio.gen.*;
import com.microsoft.visio.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object IVShape
* It is OK to edit this code 
* @author S Lewis
*/
public class IVShape extends _IVShape
{
    /**
    * default constructor
    */
    public IVShape()
    {
    }
    /**
    * populating constructor
    */
    public IVShape(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public IVShape(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param fFillshort
    * @param LineResdouble
    * @param fFillshort
    * @param LineResdouble
    * @return IUnknown
    */
    public IUnknown getGeomExIf(short fFill,double LineRes)
    {
        return(ambig_getGeomExIf(fFill,LineRes));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getObject()
    {
        return(ambig_getObject());
    }

}
