package com.microsoft.visio;
import com.microsoft.visio.gen.*;
import com.microsoft.visio.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object IVWindow
* It is OK to edit this code 
* @author S Lewis
*/
public class IVWindow extends _IVWindow
{
    /**
    * default constructor
    */
    public IVWindow()
    {
    }
    /**
    * populating constructor
    */
    public IVWindow(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public IVWindow(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getPage()
    {
        return(ambig_getPage());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getMaster()
    {
        return(ambig_getMaster());
    }

}
