package com.microsoft.word;
import com.microsoft.word.gen.*;
import com.microsoft.word.com_enum.*;
import com.lordjoe.lib.xml.*;
import java.util.Map;
import java.util.Iterator;
import java.util.HashMap;
import com.jacob.com.*;
import com.lordjoe.utilities.COMUtilities;

/**
* java surrogate for com object RoutingSlip
* It is OK to edit this code 
* @author S Lewis
*/
public class RoutingSlip extends _RoutingSlip
{
    /**
    * default constructor
    */
    public RoutingSlip()
    {
    }
    /**
    * populating constructor
    */
    public RoutingSlip(Dispatch   in)
    {
        super(in);
    }
    /**
    * populating constructor
    */
    public RoutingSlip(WDispatch in)
    {
        super(in);
        if(!getClsId().equals(in.getClsId())) {
            if(!COMUtilities.allowCOMCast(getClass(),in.getClass()))
                throw new IllegalArgumentException("input cannot be assigned");
        }
    }
    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Dispatch
    */
    public Dispatch getParent()
    {
        return(ambig_getParent());
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @param IndexObject[]
    * @param IndexObject[]
    * @return Object
    */
    public Object getRecipients(Object[] Index)
    {
        return(ambig_getRecipients(Index));
    }

    /**
    * This method is provided to allow the developer 
    * To reset an ambiguous return type -  
    * It is anticipated the return will be changed  
    * @return Object
    */
    public Object getRecipients()
    {
        return(ambig_getRecipients());
    }

}
