package jp.jcomgenerator;
import jp.ne.so_net.ga2.no_ji.jcom.*;

public class testTypeInfo {
	/**
		w肳ꂽProgIDITypeInfo
	*/
	public static void main(String[] args) throws Exception {
		if(args.length < 1) {
			System.out.println("usage: testTypeInfo <ProgID>");
			System.out.println("  testTypeInfo Excel.Application");
			return;
		}
		String progID = args[0];
		ReleaseManager rm = new ReleaseManager();
		try {
			IDispatch disp = new IDispatch(rm, progID);
			ITypeInfo typeInfo = disp.getTypeInfo();
			// hLg\
			String[] docs = typeInfo.getDocumentation(-1);
			System.out.println("docs[0]="+docs[0]);
			System.out.println("docs[1]="+docs[1]);
			System.out.println("docs[2]="+docs[2]);
			System.out.println("docs[3]="+docs[3]);
			// TYPEATTR\
			ITypeInfo.TypeAttr attr = typeInfo.getTypeAttr();
			System.out.println("TYPEATTR.IID        = "+attr.getIID());
			System.out.println("TYPEATTR.tpekind    = "+attr.getTypeKind());
			System.out.println("TYPEATTR.cFuncs     = "+attr.getFuncs());
			System.out.println("TYPEATTR.cVars      = "+attr.getVars());
			System.out.println("TYPEATTR.cImplTypes = "+attr.getImplTypes());
			for(int i=0; i<attr.getFuncs(); i++) {
				ITypeInfo.FuncDesc funcdesc = typeInfo.getFuncDesc(i);
				System.out.println(funcdesc);
				docs = typeInfo.getDocumentation(funcdesc.getMemID());
				System.out.println(docs[0]+docs[1]+docs[2]+docs[3]);
			}

		}
		catch(Exception e) { e.printStackTrace(); }
		finally { rm.release(); }
	}
}
